import { removeNodesAndEdges } from '../utils/removeNodesAndEdges.js';

class CustomUrqlClient {
    constructor(urqlClient) {
        this.urqlClient = urqlClient;
    }
    async query(options) {
        const { query, variables, ...additionalOptions } = options;
        const result = await this.urqlClient.query(query, variables, additionalOptions);
        const { error } = result;
        if (error) {
            console.error(error.stack);
            throw error;
        }
        return {
            ...result,
            data: result?.data &&
                removeNodesAndEdges(result.data),
        };
    }
}

export { CustomUrqlClient };
