import { isEvmAddress, paginationParams, supportedChainInput } from '../../../lib/validation/validators.js';
import { z } from 'zod';

const nftsByContractAddressValidator = z
    .object({ contractAddress: isEvmAddress })
    .merge(paginationParams)
    .merge(supportedChainInput)
    .strict();

export { nftsByContractAddressValidator };
