import { isENSAddress, isEvmAddress, contractTokensFilter, paginationParams, supportedChainInput } from '../../../lib/validation/validators.js';
import { z } from 'zod';

const walletByAddressValidator = z
    .object({
    address: z.union([isENSAddress, isEvmAddress]),
    filter: z
        .object({
        contractTokens: contractTokensFilter,
    })
        .strict()
        .optional(),
})
    .merge(paginationParams)
    .merge(supportedChainInput)
    .strict();

export { walletByAddressValidator };
