function isConnection(object) {
    return (typeof object === 'object' &&
        !!object &&
        ('edges' in object ||
            'total' in object ||
            'pageInfo' in object ||
            'breadcrumbs' in object));
}
function removeNodesAndEdges(data) {
    const keys = Object.keys(data);
    const output = {};
    keys.forEach((key) => {
        const value = data[key];
        if (typeof value === 'string' ||
            typeof value === 'boolean' ||
            typeof value === 'number' ||
            value === null ||
            value === undefined) {
            return (output[key] = value);
        }
        if (Array.isArray(value)) {
            // An array can just be an array of strings and not edges and nodes
            if (value.every((val) => typeof val === 'string')) {
                return (output[key] = value);
            }
            return (output[key] = value.map((item) => removeNodesAndEdges(item)));
        }
        if (isConnection(value)) {
            if (value.breadcrumbs)
                output[`${key}Breadcrumbs`] = value.breadcrumbs;
            if (value.total)
                output[`${key}Total`] = value.total;
            if (value.viewport)
                output[`${key}Viewport`] = value.viewport;
            if (value.pageInfo) {
                const { ...pageInfoRest } = value.pageInfo;
                output[`${key}PageInfo`] = pageInfoRest;
            }
            return (output[key] = value.edges?.map((item) => {
                if (item.node) {
                    return removeNodesAndEdges(item.node);
                }
                return item;
            }));
        }
        return (output[key] = removeNodesAndEdges(value));
    });
    return output;
}

export { removeNodesAndEdges };
